package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DT_KUNNR_IN_20_ITEM {
    //预约单行号
    private String item_number;
    //预约单号
    private String document_number;
    //订单号
    private String order_number;
    //订单行号
    private String order_item_number;
    //送货安排
    private String delivery_arrange;
    //公司代码
    private String company;
    //采购组织
    private String purchase_org;
    //供应商ELS账号
    private String to_els_account;
    //供应商ERP编码
    private String supplier_code;
    //供应商名称
    private String supplier_name;
    //物料编码
    private String material_number;
    //供应商物料编码
    private String sale_material_number;
    //物料描述
    private String material_desc;
    //物料规格
    private String material_spec;
    //物料组
    private String material_group;
    //物料组名称
    private String material_name;
    //送达时间
    private Date arrive_time;
    //卸货完成时间
    private Date finish_time;
    //订单要求交期
    private Date order_require_date;
    //采购组
    private String purchase_group;
    //需方备注
    private String purchase_remark;
    //供方备注
    private String supplier_remark;
    //拒绝原因
    private String reject_reason;
    //订单数量
    private BigDecimal order_quantity;
    //件数
    private BigDecimal piece;
    //送货预约数量
    private BigDecimal book_quantity;
    //预约未收数量
    private BigDecimal book_not_quantity;
    //预约收货数量
    private BigDecimal book_receive_quantity;
    //预约在途数量
    private BigDecimal book_onway_quantity;
    //预约交收数量
    private BigDecimal book_delivery_quantity;


}
