package com.galaxis.wms;

import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import java.net.URL;

/**
 * 作者：lizw <br/>
 * 创建时间：2023/01/13 17:15 <br/>
 */
@Slf4j
public class ScjndStdServiceTest {
    public static void main(String[] args) {
        try {
            ScjndStdServiceTest aa = new ScjndStdServiceTest();
            aa.t01();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @SneakyThrows
    public void t01() {
        QName qName = new QName("http://scjndstd.crdxp.crtech.cn", "ScjndStdServiceService");
        Service service = Service.create(new URL("http://10.10.1.15:9094/crdxp/server/SScjndStd_1/ws?wsdl"), qName);
        ScjndStdService stdService = service.getPort(ScjndStdService.class);
        String aa = "{\n" +
                "    \"djbh\": \"273151131113227375\",\n" +
                "    \"ckphddid\": \"1000000002\",\n" +
                "    \"djbs\": \"XHC\",\n" +
                "    \"djlx\": \"X40\",\n" +
                "    \"mx_count\": 1,\n" +
                "    \"rq\": \"2023-01-13\",\n" +
                "    \"ontime\": \"13:55:00\",\n" +
                "    \"wldwid\": \"WLD00000250\",\n" +
                "    \"hzid\": \"HZZ00000001\",\n" +
                "    \"username\": \"欧艳华\",\n" +
                "    \"transportType\": 7,\n" +
                "    \"logisticsNo\": \"\",\n" +
                "    \"logisticsAllNo\": \"\",\n" +
                "    \"sourceSoCode\": \"XHB000001128591\",\n" +
                "    \"fahr\": \"欧艳华\",\n" +
                "    \"fuhr\": \"尹文宝\",\n" +
                "    \"fuhr1\": \"尹文宝\",\n" +
                "    \"item\": [\n" +
                "        {\n" +
                "            \"dddjbh\": \"XHB000001128591\",\n" +
                "            \"dj_sort\": 1,\n" +
                "            \"spid\": \"SPZ00004515\",\n" +
                "            \"pihaoxs\": \"20230001\",\n" +
                "            \"sxrq\": \"2024-01-01\",\n" +
                "            \"baozhiqi\": \"2023-01-11\",\n" +
                "            \"shl\": 10,\n" +
                "            \"baozhshl\": 10,\n" +
                "            \"lingsshl\": 10,\n" +
                "            \"jlgg\": 200,\n" +
                "            \"hshj\": 35,\n" +
                "            \"hsje\": 350,\n" +
                "            \"cksx\": \"1\",\n" +
                "            \"sourceSoNo\": 1\n" +
                "        }\n" +
                "    ]\n" +
                "}";
        String res = stdService.webServiceMain("ProductDelivery", aa);
        log.info("--> {}", res);
        System.out.println("@@@@: " + res);
    }
}
